INSTALLPKG(8)

NOME
installpkg - installa i pacchetti Slackware.

SINOSSI
installpkg [ --warn ] [ --md5sum ] [ --root /altraroot ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /cartella/tagfile ] nomepacchetto [ nomepacchetto2 ... ]

DESCRIZIONE
installpkg installa singoli o multipli pacchetti binari *.tgz (o .tbz, .tlz, .txz) creati per usarli con la distribuzione Slackware Linux sul tuo sistema.

OPZIONI

--warn nomepacchetto
    Visualizza una lista di file che saranno sovrascritti, ma non installa il pacchetto. La lista è formattata nel formato adatto per usarla come lista di file per il backup.

--md5sum nomepacchetto
    Registra l'md5sum del pacchetto nel metadata scritto in /var/log/packages.

--root /altraroot
    Installa usando una locazione diversa da / (predefinito) come root del filesystem su cui installare. In questo esempio, viene usata /altraroot. Impostando la variabile di ambiente ROOT si ha lo stesso risultato.

--infobox
    Usa /bin/dialog per visualizzare un dialogo informativo mentre il pacchetto viene installato. Principalmente usato quando installpkg è chiamato da altri script.

--menu
    Usa /bin/dialog per visualizzare un menu dove si chiede all'utente se vuole installare il pacchetto (o i pacchetti) oppure no. Generalmente usato quando installpkg è chiamato da altri script.

--terse
    Installa il pacchetto visualizzando solo una singola linea di descrizione.

--ask
    Usato con la modalità -menu. Quando selezionato, chiede sempre se un pacchetto debba essere installato senza tenere conto di quale sia la priorità del pacchetto.

--priority ADD|REC|OPT|SKP
    Quando installato con l'opzione -menu, i livelli di priorità del pacchetto (si trovano nel file "tagfile" nella cartella del pacchetto) sono usati per installare automaticamente (ADD) o saltare (SKP) un pacchetto, o per suggerire all'utente un pacchetto raccomandato (REC) o opzionale (OPT) se un menu è visualizzato. Se una priorità è impostata da linea di comando, allora sovrascriverà il valore impostato nel tagfile per l'intera lista dei pacchetti.

--tagfile /cartella/tagfile
    Specifica un file diverso da usare per la priorità dei pacchetti (in questo esempio sarà usato /cartella/tagfile). Il predefinito è "tagfile" nella cartella del pacchetti.

ESEMPI

Installare un pacchetto per un tipo di carattere per X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Tieni presente che se il pacchetto è già installato, bisognerebbe usare upgradepkg(8).

Creare un backup dei file che vengono sovrascritti se il pacchetto viene installato:

tar czvf /tmp/backup.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTORE
Patrick J. Volkerding <volkerdi@slackware.com>

VEDI ANCHE
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)